package controllers;

import models.UpgradeLog;
import services.UpgradeLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("/api/upgrade-logs")
public class UpgradeLogController {

    @Autowired
    private UpgradeLogService service;

    @GetMapping
    public List<UpgradeLog> getAllLogs() {
        return service.getAllLogs();
    }
}
