package controllers;

import models.UpgradePackage;
import services.UpgradePackageService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("/api/upgrade-packages")
public class UpgradePackageController {

    @Autowired
    private UpgradePackageService service;

    @GetMapping
    public List<UpgradePackage> getAllPackages() {
        return service.getAllPackages();
    }

    @PostMapping
    public UpgradePackage uploadPackage(@RequestBody UpgradePackage upgradePackage) {
        return service.savePackage(upgradePackage);
    }
}
