package controllers;

import models.UpgradeTask;
import services.UpgradeTaskService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("/api/upgrade-tasks")
public class UpgradeTaskController {

    @Autowired
    private UpgradeTaskService service;

    @GetMapping
    public List<UpgradeTask> getAllTasks() {
        return service.getAllTasks();
    }

    @PostMapping
    public UpgradeTask createTask(@RequestBody UpgradeTask upgradeTask) {
        return service.saveTask(upgradeTask);
    }
}
